require 'studio_game/game'

describe StudioGame::Game do

  before do
    @game = StudioGame::Game.new("Knuckleheads")

    @initial_health = 100
    @player = StudioGame::Player.new("moe", @initial_health)
    
    @game.add_player(@player)
  end

  it "w00ts the player if a high number is rolled" do
    allow_any_instance_of(StudioGame::Die).to receive(:roll).and_return(5)

    @game.play(2)

    @player.health.should == @initial_health + 30
  end

  it "skips the player if a medium number is rolled" do
    allow_any_instance_of(StudioGame::Die).to receive(:roll).and_return(3)

    @game.play(2)

    @player.health.should == @initial_health
  end

  it "blams the player if a low number is rolled" do
    allow_any_instance_of(StudioGame::Die).to receive(:roll).and_return(1)

    @game.play(2)

    @player.health.should == @initial_health - (10 * 2)
  end

  it "assigns a treasure for points during a player's turn" do
    game = StudioGame::Game.new("Knuckleheads")
    player = StudioGame::Player.new("moe")

    game.add_player(player)

    game.play(1)

    player.points.should_not be_zero
  end
end