require 'studio_game/treasure_trove'
   
describe StudioGame::Treasure do
  
  before do
    @treasure = StudioGame::Treasure.new(:hammer, 50)
  end
  
  it "has a name attribute" do
    @treasure.name.should == :hammer
  end
  
  it "has a points attribute" do
    @treasure.points.should == 50
  end
  
end

describe StudioGame::TreasureTrove do
  
  it "has six treasures" do
    StudioGame::TreasureTrove::TREASURES.size.should == 6
  end
  
  it "has a pie worth 5 points" do
    StudioGame::TreasureTrove::TREASURES[0].should == StudioGame::Treasure.new(:pie, 5)
  end
  
  it "has a bottle worth 25 points" do
    StudioGame::TreasureTrove::TREASURES[1].should == StudioGame::Treasure.new(:bottle, 25)
  end
  
  it "has a hammer worth 50 points" do
    StudioGame::TreasureTrove::TREASURES[2].should == StudioGame::Treasure.new(:hammer, 50)
  end
  
  it "has a skillet worth 100 points" do
    StudioGame::TreasureTrove::TREASURES[3].should == StudioGame::Treasure.new(:skillet, 100)
  end

  it "has a broomstick worth 200 points" do
    StudioGame::TreasureTrove::TREASURES[4].should == StudioGame::Treasure.new(:broomstick, 200)
  end
  
  it "has a crowbar worth 400 points" do
    StudioGame::TreasureTrove::TREASURES[5].should == StudioGame::Treasure.new(:crowbar, 400)
  end

  it "returns a random treasure" do
    treasure = StudioGame::TreasureTrove.random

    StudioGame::TreasureTrove::TREASURES.should include(treasure)
    
    # or use alternate expectation syntax:
    # expect(TreasureTrove::TREASURES).to include(treasure)
  end
end